Skip to main content
POST
/
vpn
/
servers
/
update
Update VPN server
curl --request POST \
  --url https://demo.onlinebillingform.com/api/v2/vpn/servers/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": 123,
  "country_id": 123,
  "server_name": "<string>",
  "ip_address": "127.0.0.1",
  "ssh_port": 123,
  "ssh_username": "<string>",
  "ssh_password_current": "<string>",
  "max_connection": 123,
  "vpn_type": 123,
  "ssh_password_new": "<string>",
  "vpn_port": "<string>",
  "vpn_custom_port": "<string>",
  "vpn_protocol": "<string>"
}
'
import requests

url = "https://demo.onlinebillingform.com/api/v2/vpn/servers/update"

payload = {
"id": 123,
"country_id": 123,
"server_name": "<string>",
"ip_address": "127.0.0.1",
"ssh_port": 123,
"ssh_username": "<string>",
"ssh_password_current": "<string>",
"max_connection": 123,
"vpn_type": 123,
"ssh_password_new": "<string>",
"vpn_port": "<string>",
"vpn_custom_port": "<string>",
"vpn_protocol": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 123,
country_id: 123,
server_name: '<string>',
ip_address: '127.0.0.1',
ssh_port: 123,
ssh_username: '<string>',
ssh_password_current: '<string>',
max_connection: 123,
vpn_type: 123,
ssh_password_new: '<string>',
vpn_port: '<string>',
vpn_custom_port: '<string>',
vpn_protocol: '<string>'
})
};

fetch('https://demo.onlinebillingform.com/api/v2/vpn/servers/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true
}
{
"success": false,
"errors": "Invalid API Key"
}
{
"success": false,
"errors": "Insufficient permissions for this endpoint."
}
{
"success": false,
"errors": {
"id": [
"The id field is required."
]
}
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <live_api_key>.

Body

id
integer
required
country_id
integer
required
server_name
string
required
ip_address
string<ipv4>
required
ssh_port
integer
required
ssh_username
string
required
ssh_password_current
string<password>
required
max_connection
integer
required
vpn_type
integer
ssh_password_new
string
vpn_port
string

default, random, or custom

vpn_custom_port
string
vpn_protocol
string

udp or tcp

Response

OK

success
boolean